% This function calculates T2

function value = T2(p1,p1deriv,x,tau,c,epsilon,kappa,h1)

T1value = T1(p1,p1deriv,x,tau,c,epsilon,kappa,h1);
S1value = S1(p1,x,tau,c,epsilon);
value = T1value .* (S1value > epsilon + kappa) + ...
    max(T1value,0) .* (abs(S1value - epsilon) <= kappa);

end