% This function calculates T4

function value = T4(p1,p1deriv,x,tau,c,epsilon,kappa,h1)

T3value = T3(p1,p1deriv,x,tau,c,epsilon,kappa,h1);
S3value = S3(p1,x,tau,c,epsilon);
value = T3value .* (S3value < 1 - epsilon - kappa) + ...
    min(T3value,0) .* (abs(S3value - (1-epsilon)) <= kappa);

end