run setChoiceMC.m

for iSampleSize=1:nSampleSize
    sampleSize = sampleSizeVec(iSampleSize);
    
    for iDgp=1:nDgp
        dgpChoice = dgpChoiceVec(iDgp);
        
        for iTuning=1:nTuning          
            tuningChoice = tuningChoiceVec(iTuning);
            iAlpha = 2;
            load(sprintf('output/fullMC/CP/CP_dgp%d_tuning%d_n%d_sim%d_alpha%d.mat',...
                dgpChoice,tuningChoice,sampleSize,nSimulations,iAlpha))
            CPMat(:,iTuning) = coverageProb;

        end
    end
end

diffCPMat = CPMat - CPMat(:,1);
maxDeviation = max(max(abs(diffCPMat),[],2));
fprintf(['The largest deviation of the coverage probabilities from the rule of \n', ...
    'thumb suggestion, over the entire grid of tuning parameters is: \n',num2str(maxDeviation),'\n'])
